Support for POE+ hat

Support for POE+ hat

Hello all! We use POE hats on all of our signage players, and upon the news of the official and updated POE+ hats coming out, I ordered a handful.

The current Yodeck image is "Raspbian" Buster and kernel 5.4.51, however it seems at least kernel 5.10.17 is required to support the POE+ fan. In other words, a POE+ hat on your Yodeck signage player means that hat's fan doesn't work.

However, the Yodeck folks are on the case and working on it. Unless you're running video or processor-intensive content, temperatures might not rise enough to be an issue. A workaround I've found is to expand the sda2 partition to 10gb, then run sudo rpi-update. However, I recommend waiting for an official update from Yodeck.

Thanks to the Yodeck gang for their hard work.